using System;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI.DynamicData;

public partial class BinaryImage : System.Web.DynamicData.FieldTemplateUserControl
{
    protected override void OnDataBinding(EventArgs e) {
        base.OnDataBinding(e);

        object val = FieldValue;
        if (val != null)
            RadBinaryImage1.DbValue(val);
    }

    public override Control DataControl {
        get {
            return RadBinaryImage1;
        }
    }    
}
